BACKGAMMON(6)

NAME
backgammon, teachgammon - the game of backgammon

SYNOPSIS
/usr/games/backgammon [ -nrwbp[r|w |b] ] [ -tterm ] [ -sfile ] [ file ]
/usr/games/teachgammon [ -nrwbp[r|w |b] ]

DESCRIPTION
This program lets you play backgammon against the computer or against a "friend". All commands only are one letter, so you don't need to type a carriage return, except at the end of a move.

The program is mostly self documenting, so that a question mark (?) will usually get some help. If you answer y when the program asks if you want the rules, you will get text explaining the rules of the game, some hints on strategy, instruction on how to use the program, and a tutorial consisting of a practice game against the computer. This uses the teachgammon program - alternatively the program can be run directly. A description of how to use the program can be obtained by answering y when it asks if you want instructions.

OPTIONS
The possible arguments for backgammon (most are unnecesary but some are very convenient) consist of:

-n  don't ask for rules or instructions

-r  player is red (implies n)

-w  player is white (implies n)

-b  two players, red and white (implies n)

-pr print the board before red's turn

-pw print the board before white's turn

-pb print the board before both player's turn

-tterm
    terminal is type term; this uses the terminal database /etc/termcap.

-tfile
    recover previously saved game from file. (This can also be done by giving the file name as an argument to backgammon).

Arguments must be preceded by a -. Several arguments may be concatenated together, but not after s or t arguments, since they can be followed by an arbitrary string. If no argument is given after either option the next command line argument is used instead. Any unrecognized arguments are ignored.

If term has capabilities for direct cursor movement backgammon updates the board after each move, so the board does not need to be reprinted, unless the screen suffers some horrendous malady. Also, any p option will be ignored. (The t option is not necessary unless the terminal type does not match the entry in the /etc/termcap data base.)

QUICK REFERENCE
When the program prompts by typing only your color, type a space or carriage return to roll, or

d   to double

p   to print the board

q   to quit

s   to save the game for later

When the program prompts with 'Move:', type

p   to print the board

q   to quit

s   to save the game

or a move, which is a sequence of

s-f move from s to f.

s/r move one man on s the roll r.

separated by commas or spaces and ending with a newline. Available abbreviations are

s-f1-f2
    means s-f1, f1-f2

s/r1r2
    means s/r1, s/r2

Use b for bar and h for home, or 0 or 25 as appropriate.

AUTHOR
Alan Char

FILES
/usr/games/teachgammon
    rules and tutorial.
/usr/games/backgammon
    the game itself.
/etc/termcap
    terminal information database.

BUGS
The program's strategy needs much work.

COMMENTS
The program is still under development.